Name:		amide		
Version:	0.9.2
Release:	2%{?dist}
Summary:	Program for viewing and analyzing medical image data sets

Group:		Applications/Productivity	
License:	GPLv2+
URL:		http://amide.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	libxml2-devel 
BuildRequires:	libgnomecanvas-devel 
BuildRequires:	gtk2-devel >= 2.10
BuildRequires:	gnome-vfs2-devel
BuildRequires:	GConf2-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool
BuildRequires:	gettext
BuildRequires:	volpack-devel 
BuildRequires:	gtk-doc 
BuildRequires:	gsl-devel
BuildRequires:	desktop-file-utils

# optional, to be added later
#BuildRequires:	medcon-devel
#BuildRequires:	dcmtk-devel >= 3.5.4
#BuildRequires:  xmedcon-devel >= 0.10.0

# optional, to be added later
#Requires:	xmedcon >= 0.10.0
#Requires:	dcmtk >= 3.5.4
%if 0%{?rhel}
BuildRequires:	scrollkeeper
Requires(post):	scrollkeeper
Requires(postun): scrollkeeper
%else
BuildRequires:  rarian-compat
%endif


%description

AMIDE is a tool for viewing and analyzing medical image data sets. It's 
capabilities include the simultaneous handling of multiple data sets imported 
from a variety of file formats, image fusion, 3D region of interest drawing and 
analysis, volume rendering, and rigid body alignments.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains documentation for developing applications 
that use %{name}.

%prep
%setup -q
sed -i 's|Icon=%{name}_logo.png|Icon=%{name}_logo|g' etc/%{name}.desktop.in
# configure does not pich up environment variables, so we use this dirty hack
sed -i 's|"-g -O6 -Wall"|"$RPM_OPT_FLAGS"|g' configure


%build
%configure \
	--enable-gtk-doc=yes \
	--enable-libecat=no \
	--enable-amide-debug=no \
	--disable-scrollkeeper

# %%{?_smp_mflags} is not supported
make 


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
desktop-file-install --vendor=""  \
	--add-category="Science;" \
	--remove-category="Graphics" \
	--dir=%{buildroot}%{_datadir}/applications \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%if 0%{?rhel}
%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
%endif

%if 0%{?rhel}
%postun
scrollkeeper-update -q || :
%endif


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README RELEASE_NOTES todo
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}*
%{_datadir}/gnome/help/%{name}/
%{_datadir}/omf/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/amide.1.*

%files devel
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/

%changelog
* Sat Jan 01 2011 Susmit Shannigrahi <susmit@fedoraproject.org> - 0.9.2-2
- Review fixes

* Sat Jan 01 2011 Susmit Shannigrahi <susmit@fedoraproject.org> - 0.9.2-1
- Initial packaging based on Andy Loening's unofficial package for F12.

